Skip to main content
GET
/
vault
/
oauth
/
apps
/
{slug}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/vault/oauth/apps/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "iconUrl": "<string>",
  "defaultScopes": [
    "<string>"
  ],
  "requiresPkce": true,
  "category": "<string>",
  "isManaged": true,
  "isActive": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

slug
string
required

App slug to look up (e.g. google, github, slack)

Response

200 - application/json

OK

OAuth app definition (public info, no client secrets)

id
string
required

Unique app definition identifier

slug
string
required

URL-safe app slug (e.g. google, github, slack)

name
string
required

Human-readable app name

description
string | null
required

Short description of the service

iconUrl
string | null
required

Service logo URL

authMethod
enum<string>
required

Authentication method

Available options:
OAUTH2,
OAUTH2_PKCE,
API_KEY,
BASIC,
BEARER
defaultScopes
string[]
required

Default OAuth scopes

requiresPkce
boolean
required

Whether PKCE is required

category
string | null
required

App category (productivity, developer, etc.)

isManaged
boolean
required

Whether Anima provides managed OAuth credentials

isActive
boolean
required

Whether the app is currently available